<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateItemsTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemId}" for="itemId" />
                    <h:inputText id="itemId" value="#{itemsController.selected.itemId}" title="#{bundle.CreateItemsTitle_itemId}" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemId}"/>
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemNombre}" for="itemNombre" />
                    <h:inputText id="itemNombre" value="#{itemsController.selected.itemNombre}" title="#{bundle.CreateItemsTitle_itemNombre}" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemNombre}"/>
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemCodigo}" for="itemCodigo" />
                    <h:inputText id="itemCodigo" value="#{itemsController.selected.itemCodigo}" title="#{bundle.CreateItemsTitle_itemCodigo}" />
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemInventarioId}" for="itemInventarioId" />
                    <h:selectOneMenu id="itemInventarioId" value="#{itemsController.selected.itemInventarioId}" title="#{bundle.CreateItemsTitle_itemInventarioId}" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemInventarioId}">
                        <f:selectItems value="#{inventariosController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
